﻿-- Partial code from CTA
-- Partial code from Atlas

GFM_CONFIG = {};
GFM_CONFIG.ButtonPosition = 45;

function GFMB_UpdateMinimapIcon(n)
	if( n ~= 0 ) then
		GFMB_MinimapIconTextLabel:SetText(n);
		GFMB_MinimapIconTextLabel:Show();
	else
		GFMB_MinimapIconTextLabel:Hide();
	end
end

function GFMB_IconMsg( s, t )
	local m = s;
	if( not m ) then
		m = "nil";
	end
	
	if( not t ) then
		GFMB_MinimapMessageFrame:AddMessage(m, 1.0, 1.0, 0.5, 1.0, UIERRORS_HOLD_TIME);
	else
		local r,g,b = t.r,t.g,t.b;
		GFMB_MinimapMessageFrame:AddMessage(m, r, g, b, 1.0, UIERRORS_HOLD_TIME);
	end
end

function GFMB_Init()
	-- blank for now
end

function GFMB_UpdatePosition()
	GFMB_MinimapIcon:SetPoint(
		"TOPLEFT",
		"Minimap",
		"TOPLEFT",
		54 - (78 * cos(GFM_CONFIG.ButtonPosition)),
		(78 * sin(GFM_CONFIG.ButtonPosition)) - 55
	);

	GFMB_MinimapMessageFrame:SetPoint( "TOPRIGHT", "Minimap", "BOTTOMLEFT",
		0,0
	);
	
	
	GFMB_Init();
end

function GFMB_BeingDragged()
    local xpos,ypos = GetCursorPosition() 
    local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom() 

    xpos = xmin-xpos/UIParent:GetScale()+70 
    ypos = ypos/UIParent:GetScale()-ymin-70 

    GFMB_SetPosition(math.deg(math.atan2(ypos,xpos)));
end

function GFMB_SetPosition(v)
    if(v < 0) then
        v = v + 360;
    end

    GFM_CONFIG.ButtonPosition = v;
    GFMB_UpdatePosition();
end
