﻿-- ----------------------------------------------------------------------- --
--     Group Finder with Chan Buddy                                        
--     Copyright (c) 2006 Moncai                                           
--
--     May be copied and distributed freely as long as you do not
--     change or remove this notice.
--     
-- ----------------------------------------------------------------------- --

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--	DEUTSCH
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

if GetLocale() == "deDE" then
	
--[[	keys: beginning with & works across word boundaries, beginning with # also, but those must NOT be in the sentence	--]]
	
	GFF_LOCALE_LOCALIZED_DATA = {
		{ name = "Blackfathom-Tiefe", keys = {"BFT","BFD", "BLACKFATHOM"}, people = { num=0, }, details = {header = 1, levelrange = "24-32", collapsed = 0, id = -1}},
		{ name = "Blackrocktiefen", keys = {"BRD","BRT","BLACKROCKTIEFE"}, people = { num=0, }, details = {header = 1, levelrange = "52-60", collapsed = 0, id = -1}},
		{ name = "Blackrockspitze", keys = {"BRS", "&BLA.*SPITZE", "#OBEN","#UNTEN"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Blackrockspitze (oben)", keys = {"UBRS", "OBEN", "&BLA.*SPITZE.*OBEN"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Blackrockspitze (unten)", keys = {"LBRS", "UNTEN", "&BLA.*SPITZE.*UNTEN"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Pechschwingenhort", keys = { "BWL", "PECHSW.*"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Die Todesminen", keys = {"DEADMINES?", "TODESMINEN?", "DM"}, people = { num=0, }, details = {header = 1, levelrange = "17-26", collapsed = 0, id = -1, prune = GFF_PRUNE_VC}},
		{ name = "Düsterbruch (Alle)", keys = {"DIRE", "MAUL","D[MB]", "#OST", "#NORD", "#WEST", "D[ÜU]STERBRUCH"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1, prune = GFF_PRUNE_DM}},
		{ name = "Düsterbruch (Ost)", keys = {"&D[MBUÜ].*OST.*"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Düsterbruch (Nord)", keys = {"&D[MBUÜ].*NORD.*", "&D[MBU].*TRIBUT"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Düsterbruch (West)", keys = {"&D[MBUÜ].*WEST.*"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Gnomeregan", keys = {"GNOME?R?.*"}, people = { num=0, }, details = {header = 1, levelrange = "29-38", collapsed = 0, id = -1}},
		{ name = "Maraudon", keys = {"MAU?RAU?DON", "MAU?RA.*", "PRINCES?.*"}, people = { num=0, }, details = {header = 1, levelrange = "46-55", collapsed = 0, id = -1}},
		{ name = "Der geschmolzene Kern", keys = {"&SC?H?MOLZ.*KE?RN", "MOLTEN", "MC"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Naxxramas", keys = {"NAXX.*", "NAX"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Onyxias Hort", keys = {"ONYX?.*"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Ragefireabgrund", keys = {"RFC", "RFA", "&RAGEFIRE.*", "CHASM"}, people = { num=0, }, details = {header = 1, levelrange = "13-18", collapsed = 0, id = -1}},
		{ name = "Die Hügel von Razorfen", keys = {"H[ÜU]E?GEL","RFD", "DOWNS"}, people = { num=0, }, details = {header = 1, levelrange = "37-46", collapsed = 0, id = -1}},
		{ name = "Der Kral von Razorfen", keys = {"RFK", "KRAL"}, people = { num=0, }, details = {header = 1, levelrange = "29-38", collapsed = 0, id = -1}},
		{ name = "Die Ruinen von Ahn'Qiraj", keys = {"AQ20", "RUINS"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Das scharlachrote Kloster", keys = { "FRIED", "BIBLI", "WK", "WAFFEN", "SM", "&SCARLET.*MON.?ST.?RY", "MON.?ST.?RY", "KLOSTER", "SCHARLACHROTE?"}, people = { num=0, }, details = {header = 1, levelrange = "34-45", collapsed = 0, id = -1}},
		{ name = "Scholomance", keys = { "SCH?OLO.*"}, people = { num=0, }, details = {header = 1, levelrange = "58-60", collapsed = 0, id = -1}},
		{ name = "Burg Shadowfang", keys = {"BSF", "SFK", "SHADOWFANG"}, people = { num=0, }, details = {header = 1, levelrange = "22-30", collapsed = 0, id = -1}},
		{ name = "Irgendwo in Ahn'Qiraj", keys = {"AQ", "AHN'.*", ".*QIRAJ"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Das Verlies", keys = {"VERLIES", "DV", "STO.?C?KAD.*"}, people = { num=0, }, details = {header = 1, levelrange = "24-32", collapsed = 0, id = -1}},
		{ name = "Stratholme", keys = {"STRAT.*", "BARON", "SCARLET", "#MON.?ST.?RY"}, people = { num=0, }, details = {header = 1, levelrange = "58-60", collapsed = 0, id = -1}},
		{ name = "Tempel von Atal'Hakkar", keys = {"TEMPEL"}, people = { num=0, }, details = {header = 1, levelrange = "50-60", collapsed = 0, id = -1}},
		{ name = "Der Tempel von Ahn'Qiraj", keys = {"AQ40"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Uldaman", keys = {"ULDA?", "ULDAMAN","UD"}, people = { num=0, }, details = {header = 1, levelrange = "41-51", collapsed = 0, id = -1}},
		{ name = "Die Höhlen des Wehklagens", keys = {"HDW","WC", "WAILING", "HÖHLEN?", "WE?HKLAGEN?"}, people = { num=0, }, details = {header = 1, levelrange = "17-24", collapsed = 0, id = -1}},
		{ name = "Zul'Farrak", keys = {"ZF", ".*FARR?A[CK]K?", "ZUL'F.*", "&ZUL F"}, people = { num=0, }, details = {header = 1, levelrange = "44-54", collapsed = 0, id = -1}},
		{ name = "Zul'Gurub", keys = {"ZG", ".*GURUB"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Raid", keys = {"RAID"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Schlachtfelder", 
			keys = {"AV", "AB", "BASIN", "&ALTERAC.*VALLEY", "WS", "WARSONG.*","GULCH","BG","BATTLEGROUNDS?", "SCHLACHTFELD","SCHLACHTGRU?PP?E?","SF", "ALTERACTAL", "BECKEN", "ARATHI.*"},
			people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Gilde", keys = {"GUILD", "GILDE?"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Handel", keys = {"AUKTION", "AH", "WTS","WTB", "KAUFE","VERKAUFE","VK"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Farming", keys = {"#REP", "#REPUT.*", "FARM.*"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Jintha'Alor", keys = {"&ELITE.*HINTERLANDS?", "JINTHA.*", "ALOR"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Tyr's Hand", keys = {"&TYR.*HAND", "TYR.*"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Reputation", keys = {"REP", "REPUT.*", "FA[CK]K?TION", "#GUILD"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Anderes", keys = {}, people = { num=0, }, details = {header = 1, levelrange = "?", collapsed = 0, id = -1}},
			
		num = 41,
	}
	
	function GFF_LFGMX(text)
		local tag = string.gfind(string.upper(text), GFF_LFGM_DEF)()
		
		if not tag then -- Look for german LFG signals
			local s,g,l = string.gfind(string.upper(text), "(SUCH).*([0-9%-]+).*(LEUTE?)")()
			if s and l then
				if not g then g = ""; end
				return "LF" .. g .. "M";
			end

			s,l = string.gfind(string.upper(text), "(SUCH).*(LEUTE?)")()
			if s and l then
				return "LFM";
			end
			
			s,l = string.gfind(string.upper(text), "(GRU?PP?E?).*(SUCH)")()
			if s and l then
				return "LFM";
			end
			
			s,l = string.gfind(string.upper(text), "(SUCH).*(GRU?PP?E?)")()
			if s and l then
				return "LFG";
			end			
			
			s = string.gfind(string.upper(text), "(SUCH)")()
			if s then
				return "LF";
			end			
		end
		
		if tag then return string.gsub(tag, "^%s*(.-)%s*$", "%1"); else return ""; end
	end
	
	GROUP_FINDER = "Gruppen Sucher by Moncaí";
	CHANBUDDY = "ChanBuddy";

	GFF_LOADED_MESSAGE = GROUP_FINDER .. " " .. GFF_VERSION .. " geladen.";
	GFF_ENABLED_MESSAGE = GROUP_FINDER .. " aktiv";
	GFF_WHO_RESULT = "Wer: %s %s %s Stufe %d%s";
	GFF_WHO_RESULT_ZONE = GFF_WHO_RESULT .. " - %s";
	
	GFF_INIT_DB = "Initialisiere Welt DB";
	GFF_CONVERT_DB = "Convertiere Database";
	GFF_HEADER_LINE = "%s (%d min her)";
	GFF_XLINES = " Nachrichten";
	
	GFF_OBJ_LINES1 = "%s, ein Stufe %s %s %s";
	GFF_OBJ_LINES2 = "sucht seit %02d:%02d (%d minuten her)";
	GFF_OBJ_LINES3 = "und suchte erneut am %02d:%02d (%d minuten her)";
	GFF_SINGATURE = "\n\n\nSigniert,\n\n%s\n%s";

	CHB_HELP_LINE = {
		"|c0000ffccChanBuddy Hilfe|r",
		"------------------------",
		"|c0000ffcc/chb filter ein/aus|r: wenn ein, filtert den LFG channel. standard ein",
		"|c0000ffcc/chb hide ein/aus|r: wenn ein, versteckt Spam anstatt ihn zu markieren. standard aus",
		"|c0000ffcc/chb highlight ein/aus|r: wenn ein, markiert gefundene Wörter. standard ein",
		num = 5,
	}

	CHB_DATA_WORDS = {
		[GFF_LFGM_DEF] = 1,
		["LF[0-9].*"] = 1,
		["QUESTS?"] = 1,
		["SUCHEN?"] = 1,
		["HILFE?"] = 1,
		["GRU?PP?E?"] = 1,
		["GESUCH.*"] = 1,
	};

	LFG_CHANNEL_NAME = "SucheNachGruppe";
	CHB_CONF_PRINT = LFG_CHANNEL_NAME .. ": %s ist %s";
	CHB_TO_E = { [true] = "|c0000ff00ein|r", [false] = "|c00ff0000aus|r" };
	CHB_ON = "EIN";
	CHB_OFF = "AUS";
	
	CHB_LOADED_MSG = CHANBUDDY .. " %s geladen.";
	GFF_WHISPER = "Flüstern";
	GFF_WHO = "Wer";
	GFF_INVITE = "Einladen";
	BINDING_NAME_GFF = "Fenster Ein/Aus (/lfg)";
	BINDING_HEADER_GROUP_FINDER = GROUP_FINDER;

	GFF_UNKNOWN = "Unbekannt";

	GFF_CLASS_LOC = {
		['Druide'] = "DRUID",
		['Magier'] = "MAGE",
		['J\195\164ger'] = "HUNTER",
		['Paladin'] = "PALADIN",
		['Priester'] = "PRIEST",
		['Schurke'] = "ROGUE",
		['Schamane'] = "SHAMAN",
		['Hexenmeister'] = "WARLOCK",
		['Krieger'] = "WARRIOR",
	};

	GFMB_TOOLTIP = string.format("|c00ffcc00%s|r", GROUP_FINDER);
	GFMB_TOOLTIP2 = string.format("|c00ffffff%s|r", "Rechtsklick halten um diesen Button zu verschieben.");
	GFMB_TOOLTIP3 = string.format("|c00ffffff%s|r", "Linksklick um GroupFinder zu öffnen/schließen.");

	GFF_WHO_DELAYED = "Das Ergebnis deiner Who-Abfrage folgt in %.1f Sekunden.";

	--- Ändern der Fenstergröße /lfgresize
	GFF_RESIZE_L = "Es wird nun das große Fenster benutzt. Gebe|c00ffdd00/lfgresize|r ein um die Größe zu verändern.";
	GFF_RESIZE_S = "Es wird nun das kleine Fenster benutzt. Gebe|c00ffdd00/lfgresize|r ein um die Größe zu verändern.";
	
	GFF_BETA_NOTICE = ">>> |c00ffcc55%s|r ist zurzeit noch eine Beta-Version, bitte überprüfe regelmäßig ob eine neue Version zur Verfügung steht\n|c00ffcc55http://www.curse-gaming.com|r oder |c00ffcc55http://www.snipurl.com/groupfinder|r <<<";
end
