﻿-- ----------------------------------------------------------------------- --
--     Group Finder with Chan Buddy                                        
--     Copyright (c) 2006 Moncai                                           
--
--     May be copied and distributed freely as long as you do not
--     change or remove this notice.
--     
-- ----------------------------------------------------------------------- --

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--	FRENCH
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

if GetLocale() == "frFR" then
	
--[[	keys: beginning with & works across word boundaries, beginning with # also, but those must NOT be in the sentence	--]]
	
	GFF_LOCALE_LOCALIZED_DATA = {
		{ name = "Profondeurs de Brassenoire", keys = {"BRASSENOIRE"}, people = { num=0, }, details = {header = 1, levelrange = "24-32", collapsed = 0, id = -1}},
		{ name = "Profondeurs de Blackrock", keys = {"BRD", "BLACKROCK"}, people = { num=0, }, details = {header = 1, levelrange = "52-60", collapsed = 0, id = -1}},
		{ name = "Pic de Blackrock", keys = {"#BRS"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Pic de Blackrock Inférieur", keys = {"LBRS"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Pic de Blackrock Supérieur", keys = {"UBRS"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Repaire de l'Aile Noire", keys = { "BWL"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Les Mortemines", keys = {"MORTEMINES", "DM", "DEADMINES?"}, people = { num=0, }, details = {header = 1, levelrange = "17-26", collapsed = 0, id = -1, prune = GFF_PRUNE_VC}},
		{ name = "Hache-trippes", keys = {"HT", "HACHE.*", "HACHE-TRIPPES", "TRIPPES", "#EST","#NORD","#OUEST"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1, prune = GFF_PRUNE_DM}},
		{ name = "Hache-trippes (Est)", keys = {"&H[AT].*EST"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Hache-trippes (Nord)", keys = {"&H[AT].*NORD"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Hache-trippes (Ouest)", keys = {"&H[AT].*OUEST"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Gnomeregan", keys = {"GNOME?R.*"}, people = { num=0, }, details = {header = 1, levelrange = "29-38", collapsed = 0, id = -1}},
		{ name = "Maraudon", keys = {"PRINCESSE", "MAU?RAU?DON"}, people = { num=0, }, details = {header = 1, levelrange = "46-55", collapsed = 0, id = -1}},
		{ name = "Le Coeur du Magma", keys = {"MOLTENCORE", "MOLTEN.*", "MC","#GUILDE"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Naxxramas", keys = {"NAXX.*", "NAX"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Repaire d'Onyxia", keys = {"ONYX.*","#GUILD"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Ragefeu", keys = {"RAGE.*"}, people = { num=0, }, details = {header = 1, levelrange = "13-18", collapsed = 0, id = -1}},
		{ name = "Les Souilles de Tranchebauge", keys = {"SOUILLE.*", "TRANCHEBAUGE"}, people = { num=0, }, details = {header = 1, levelrange = "37-46", collapsed = 0, id = -1}},
		{ name = "Le Kraal de Tranchebauge ", keys = {"KRA?ALL?", "TRANCHEBAUGE"}, people = { num=0, }, details = {header = 1, levelrange = "29-38", collapsed = 0, id = -1}},
		{ name = "Les Ruines d'Ahn-Qiraj", keys = {"AQ20", "RUINES"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Le Monastère Ecarlate", keys = { "MONA.*"}, people = { num=0, }, details = {header = 1, levelrange = "34-45", collapsed = 0, id = -1}},
		{ name = "Scholomance", keys = { "SCH?OLO.*"}, people = { num=0, }, details = {header = 1, levelrange = "58-60", collapsed = 0, id = -1}},
		{ name = "Donjon d'Ombrecroc", keys = {"OMBRECROC", "OMBRE.*"}, people = { num=0, }, details = {header = 1, levelrange = "22-30", collapsed = 0, id = -1}},
		{ name = "Ahn'Qiraj", keys = {"AQ", "AHN'.*", ".*QIRAJ"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "The Stockade", keys = {"STO.?C?KA.?D.*"}, people = { num=0, }, details = {header = 1, levelrange = "24-32", collapsed = 0, id = -1}},
		{ name = "Stratholme", keys = {"STRAT.*", "BAR.?ON"}, people = { num=0, }, details = {header = 1, levelrange = "58-60", collapsed = 0, id = -1}},
		{ name = "Le Temple Englouti", keys = {"TEMPLE", "ENGLOUTI"}, people = { num=0, }, details = {header = 1, levelrange = "50-60", collapsed = 0, id = -1}},
		{ name = "Le Temple d'Ahn-Qiraj", keys = {"AQ40"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Uldaman", keys = {"ULDA?", "ULDAMAN","UD"}, people = { num=0, }, details = {header = 1, levelrange = "41-51", collapsed = 0, id = -1}},
		{ name = "Caverne des Lamentations", keys = {"LAM.*", "CAVERNE"}, people = { num=0, }, details = {header = 1, levelrange = "17-24", collapsed = 0, id = -1}},
		{ name = "Zul'Farrak", keys = {"ZF", ".*FARRAK"}, people = { num=0, }, details = {header = 1, levelrange = "44-54", collapsed = 0, id = -1}},
		{ name = "Zul'Gurub", keys = {"ZG", ".*GURUB"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Raid", keys = {"RAID"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Champ de bataille", keys = {"BASSIN", "&ALTERAC", "WSG", "WARSONG","GOULET","BG","ARATHI","#GUILDE", "#RECRUTE"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Guilde", keys = {"GUILDE", "RECRUTE"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Commerce", keys = {"HV", "AH", "WTS","WTB", "VENDS", "ACH.?TE"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Farming", keys = {"#REP", "#REPUT.*", "FARM.*"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Jintha'Alor", keys = {"&LITE.*HINTERLANDS?", "JINTHA.*", "ALOR"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Main de Tyr", keys = {"&MAIN.*TYR", "TYR.*"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Réputation", keys = {"REP", "REPUT.*", "FACTION", "#GUILDE"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Autres", keys = {}, people = { num=0, }, details = {header = 1, levelrange = "?", collapsed = 0, id = -1}},
			
		num = 41,
	}

	
	function GFF_LFGMX(text)
		local tag = string.gfind(string.upper(text), "LF[0-9]?[GM]? ?[0-9]?")()
		
		if not tag then -- Look for french LFG signals
			local s,g,l = string.gfind(string.upper(text), "(CHERCHE).*([0-9%-]+).*(PERSONNE?)")()
			if s and l then
				if not g then g = ""; end
				return "LF" .. g .. "M";
			end

			s,l = string.gfind(string.upper(text), "(CHERCHE).*(PERSONNE?)")()
			if s and l then
				return "LFM";
			end
			
			s,l = string.gfind(string.upper(text), "(GRO?U?PE?).*(CHERCHE)")()
			if s and l then
				return "LFM";
			end
			
			s,l = string.gfind(string.upper(text), "(CHERCHE).*(GRO?U?PE?)")()
			if s and l then
				return "LFG";
			end			
			
			s = string.gfind(string.upper(text), "(CHERCHE)")()
			if s then
				return "LF";
			end			
		end
		
		if tag then return string.gsub(tag, "^%s*(.-)%s*$", "%1"); else return ""; end
	end

	GROUP_FINDER = "Recherche Groupe par Moncaí";
	CHANBUDDY = "ChanBuddy";
	
	GFF_LOADED_MESSAGE = GROUP_FINDER .. " " .. GFF_VERSION .. " chargé.";
	GFF_ENABLED_MESSAGE = GROUP_FINDER .. " activé";
	GFF_WHO_RESULT = "Qui: %s %s %s niveau %d%s";
	GFF_WHO_RESULT_ZONE = GFF_WHO_RESULT .. " - %s";
	
	GFF_INIT_DB = "Initialize la base de données mondiale";
	GFF_CONVERT_DB = "Convertit la base de données";
	GFF_HEADER_LINE = "%s (il y a %d minutes)";
	GFF_XLINES = " messages";
	
	GFF_OBJ_LINES1 = "%s, un joueur niveau %s %s %s";
	GFF_OBJ_LINES2 = "cherche depuis %02d:%02d (%d minutes)";
	GFF_OBJ_LINES3 = "et cherchait toujours à %02d:%02d (%d minutes)";
	GFF_SINGATURE = "\n\n\nSigné,\n\n%s\n%s"

	CHB_HELP_LINE = {
		"|c0000ffccChanBuddy Help|r",
		"------------------------",
		"|c0000ffcc/chb filter on/off|r: filtre le canal RechercheGroupe, ON par défaut.",
		"|c0000ffcc/chb hide on/off|r: filtre/cache le spam, OFF par defaut.",
		"|c0000ffcc/chb highlight on/off|r: met en valeur les mots trouvés, ON par défaut.",		
		num = 5,
	}

	CHB_DATA_WORDS = {
		["MANK"] = 1,
		["MANQUE"] = 1,
		["NEED"] = 1,
		["QUI.*PO?U?R"] = 1,
		["KI.*PO?U?R"] = 1,
		["LF[GM]?"] = 1,
		["LF[0-9].*"] = 1,
		["QUE?TE?"] = 1,
		["&CHERCHE.*PO?U?R"] = 1,
		["&AIDE.*PO?U?R"] = 1,
	};	
	
	LFG_CHANNEL_NAME = "RechercheGroupe";
	CHB_CONF_PRINT = LFG_CHANNEL_NAME .. ": %s est %s";
	CHB_TO_E = { [true] = "|c0000ff00on|r", [false] = "|c00ff0000off|r" };
	CHB_ON = "ON";
	CHB_OFF = "OFF";
	
	CHB_LOADED_MSG = CHANBUDDY .. " %s chargé.";
	GFF_WHISPER = "Chuchoter";
	GFF_WHO = "Qui";
	GFF_INVITE = "Inviter";
	BINDING_NAME_GFF = "Afficher/cacher la fenêtre (/lfg)";
	BINDING_HEADER_GROUP_FINDER = GROUP_FINDER;

	GFF_UNKNOWN = "Inconnu";
	
	GFF_CLASS_LOC = {
		['Druide'] = "DRUID",
		['Mage'] = "MAGE",
		['Chasseur'] = "HUNTER",
		['Paladin'] = "PALADIN",
		['Prêtre'] = "PRIEST",
		['Voleur'] = "ROGUE",
		['Chaman'] = "SHAMAN",
		['Démoniste'] = "WARLOCK",
		['Guerrier'] = "WARRIOR",
	}; -- GFF_CLASS_LOC only needed in localised versions

	GFMB_TOOLTIP = string.format("|c00ffcc00%s|r", GROUP_FINDER);
	GFMB_TOOLTIP2 = string.format("|c00ffffff%s|r", "Un clic droit permet de déplacer l'icône.");
	GFMB_TOOLTIP3 = string.format("|c00ffffff%s|r", "Un clic gauche affiche ou cache la fenêtre principale.");

	GFF_WHO_DELAYED = "Les résultats du \"Qui\" seront disponibles dans %.1f secondes.";
	GFF_RESIZE_L = "Fenêtre agrandie. Tapez |c00ffdd00/lfgresize|r pour changer la taille de nouveau..";
	GFF_RESIZE_S = "Fenêtre rétrécie. Tapez |c00ffdd00/lfgresize|r pour changer la taille de nouveau.";	
	
	GFF_BETA_NOTICE = ">>> |c00ffcc55%s|r est en version béta. Veuillez consulter régulièrement les updates sur \n|c00ffcc55http://www.curse-gaming.com|r ou |c00ffcc55http://www.snipurl.com/groupfinder|r <<<";
end