﻿-- ----------------------------------------------------------------------- --
--     Group Finder with Chan Buddy                                        
--     Copyright (c) 2006 Moncai                                           
--
--     May be copied and distributed freely as long as you do not
--     change or remove this notice.
--     
-- ----------------------------------------------------------------------- --

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
--	ENGLISH
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-- begin definitions for enGB, enUS and fillers for untranslated parts
	
--[[	keys: beginning with & works across word boundaries, beginning with # also, but those must NOT be in the sentence	--]]
	
	GFF_LOCALE_LOCALIZED_DATA = {
		{ name = "Blackfathom Deeps", keys = {"BFD", "BLACKFATHOM"}, people = { num=0, }, details = {header = 1, levelrange = "24-32", collapsed = 0, id = -1}},
		{ name = "Blackrock Depths", keys = {"BRD"}, people = { num=0, }, details = {header = 1, levelrange = "52-60", collapsed = 0, id = -1}},
		{ name = "Blackrock Spire (Any)", keys = {"BRS", "SPIRE", "#LOWER", "#UPPER"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Blackrock Spire (Lower)", keys = {"LBRS"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Blackrock Spire (Upper)", keys = {"UBRS"}, people = { num=0, }, details = {header = 1, levelrange = "55-60", collapsed = 0, id = -1}},
		{ name = "Blackwing Lair", keys = { "BWL", "BLACKWING"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "The Deadmines", keys = {"VC", "DM", "DEADMINES?", "#EAST", "#NORTH", "#WEST", "#TRIBUT.*"}, people = { num=0, }, details = {header = 1, levelrange = "17-26", collapsed = 0, id = -1, prune = GFF_PRUNE_VC}},
		{ name = "Dire Maul (Any)", keys = {"DIRE", "MAUL","DM", "#EAST","#NORTH","#WEST"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1, prune = GFF_PRUNE_DM}},
		{ name = "Dire Maul (East)", keys = {"&D[IM].*EAST"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Dire Maul (North)", keys = {"&D[IM].*NORTH", "&D[IM].*TRIBUT"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Dire Maul (West)", keys = {"&D[IM].*WEST"}, people = { num=0, }, details = {header = 1, levelrange = "56-60", collapsed = 0, id = -1}},
		{ name = "Gnomeregan", keys = {"GNOME?R.*"}, people = { num=0, }, details = {header = 1, levelrange = "29-38", collapsed = 0, id = -1}},
		{ name = "Maraudon", keys = {"MAU?RAU?DON", "MAU?RA.*"}, people = { num=0, }, details = {header = 1, levelrange = "46-55", collapsed = 0, id = -1}},
		{ name = "Molten Core", keys = {"MOLTEN", "MC","#GUILD"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Naxxramas", keys = {"NAXX.*", "NAX"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Onyxia's Lair", keys = {"ONYX.*","#GUILD"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Ragefire Chasm", keys = {"RFC", "RAGEFIRE", "CHASM"}, people = { num=0, }, details = {header = 1, levelrange = "13-18", collapsed = 0, id = -1}},
		{ name = "Razorfen Downs", keys = {"RFD", "DOWNS"}, people = { num=0, }, details = {header = 1, levelrange = "37-46", collapsed = 0, id = -1}},
		{ name = "Razorfen Kraul", keys = {"RFK", "KRAUL"}, people = { num=0, }, details = {header = 1, levelrange = "29-38", collapsed = 0, id = -1}},
		{ name = "The Ruins of Ahn'Qiraj", keys = {"AQ20", "RUINS"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Scarlet Monastery", keys = { "SM", "&SCARLET.*MON.?ST.?RY", "MON.?ST.?RY"}, people = { num=0, }, details = {header = 1, levelrange = "34-45", collapsed = 0, id = -1}},
		{ name = "Scholomance", keys = { "SCH?OLO.*"}, people = { num=0, }, details = {header = 1, levelrange = "58-60", collapsed = 0, id = -1}},
		{ name = "Shadowfang Keep", keys = {"SFK", "SHADOWFANG"}, people = { num=0, }, details = {header = 1, levelrange = "22-30", collapsed = 0, id = -1}},
		{ name = "Somewhere in Ahn'Qiraj", keys = {"AQ", "AHN'.*", ".*QIRAJ"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "The Stockade", keys = {"STO.?C?KA.?D.*", "STOCKS"}, people = { num=0, }, details = {header = 1, levelrange = "24-32", collapsed = 0, id = -1}},
		{ name = "Stratholme", keys = {"STRAT.*", "BAR.?ON", "SCARLET", "UD", "#MON.?ST.?RY"}, people = { num=0, }, details = {header = 1, levelrange = "58-60", collapsed = 0, id = -1}},
		{ name = "The Sunken Temple", keys = {"ST", "SUNKEN"}, people = { num=0, }, details = {header = 1, levelrange = "50-60", collapsed = 0, id = -1}},
		{ name = "The Temple of Ahn'Qiraj", keys = {"AQ40"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Uldaman", keys = {"ULDA?", "ULDA?MA?N"}, people = { num=0, }, details = {header = 1, levelrange = "41-51", collapsed = 0, id = -1}},
		{ name = "Wailing Caverns", keys = {"WC", "WAILING", "CAVERNS"}, people = { num=0, }, details = {header = 1, levelrange = "17-24", collapsed = 0, id = -1}},
		{ name = "Zul'Farrak", keys = {"ZF", ".*FARRAK"}, people = { num=0, }, details = {header = 1, levelrange = "44-54", collapsed = 0, id = -1}},
		{ name = "Zul'Gurub", keys = {"ZG", ".*GURUB", "#GUILD"}, people = { num=0, }, details = {header = 1, levelrange = "60+", collapsed = 0, id = -1}},
		{ name = "Raid", keys = {"RAID", "#GUILD", "#RECRUI?TING?"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Battlegrounds", keys = {"AV", "AB", "ARATHI.*", "BASIN", "&ALTERAC.*VALLEY", "WSG", "WARSONG.*","GULCH","BG","BATTLEGROUNDS?", "#GUILD", "#RECRUI?TING"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Guild", keys = {"GUILD", "RECRUI?TING?"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Trade", keys = {"AUCTION", "AH", "WTS","WTB"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Farming", keys = {"#REP", "#REPUT.*", "FARM.*"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Jintha'Alor", keys = {"&ELITE.*HINTERLANDS?", "JINTHA.*", "ALOR"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Tyr's Hand", keys = {"&TYR.*HAND", "TYR.*"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Reputation", keys = {"REP", "REPUT.*", "FA[CK]K?TION", "#GUILD"}, people = { num=0, }, details = {header = 1, levelrange = "", collapsed = 0, id = -1}},
		{ name = "Other", keys = {}, people = { num=0, }, details = {header = 1, levelrange = "?", collapsed = 0, id = -1}},
			
		num = 41,
	}

	function GFF_LFGMX(text)
		local tag = string.gfind(string.upper(text), GFF_LFGM_DEF)()
		
--~ 		if not tag then -- Look for german LFG signals
--~ 			local s,g,l = string.gfind(string.upper(text), "(SUCH).*([0-9%-]+).*(LEUTE?)")()
--~ 			if s and l then
--~ 				if not g then g = ""; end
--~ 				return "LF" .. g .. "M";
--~ 			end

--~ 			s,l = string.gfind(string.upper(text), "(SUCH).*(LEUTE?)")()
--~ 			if s and l then
--~ 				return "LFM";
--~ 			end
--~ 			
--~ 			s,l = string.gfind(string.upper(text), "(GRU?PP?E?).*(SUCH)")()
--~ 			if s and l then
--~ 				return "LFM";
--~ 			end
--~ 			
--~ 			s,l = string.gfind(string.upper(text), "(SUCH).*(GRU?PP?E?)")()
--~ 			if s and l then
--~ 				return "LFG";
--~ 			end			
--~ 			
--~ 			s = string.gfind(string.upper(text), "(SUCH)")()
--~ 			if s then
--~ 				return "LF";
--~ 			end			
--~ 		end
		
		if tag then return string.gsub(tag, "^%s*(.-)%s*$", "%1"); else return ""; end
	end
	
	GROUP_FINDER = "Group Finder by Moncaí";
	CHANBUDDY = "ChanBuddy";
	
	GFF_LOADED_MESSAGE = GROUP_FINDER .. " " .. GFF_VERSION .. " loaded.";
	GFF_ENABLED_MESSAGE = GROUP_FINDER .. " enabled";
	GFF_WHO_RESULT = "Who: %s %s %s level %d%s";
	GFF_WHO_RESULT_ZONE = GFF_WHO_RESULT .. " - %s";
	
	GFF_INIT_DB = "Initialising World DB";
	GFF_CONVERT_DB = "Converting Database";
	GFF_HEADER_LINE = "%s (%d min ago)";
	GFF_XLINES = " messages";
	
	GFF_OBJ_LINES1 = "%s, a level %s %s %s";
	GFF_OBJ_LINES2 = "is searching since %02d:%02d (%d minutes ago)";
	GFF_OBJ_LINES3 = "and was still looking on %02d:%02d (%d minutes ago)";
	GFF_SINGATURE = "\n\n\nSigned,\n\n%s\n%s"

	CHB_HELP_LINE = {
		"|c0000ffccChanBuddy Help|r",
		"------------------------",
		"|c0000ffcc/chb filter on/off|r: when on, filters the LFG channel. default on",
		"|c0000ffcc/chb hide on/off|r: when on, hides spam instead of marking it. default off",
		"|c0000ffcc/chb highlight on/off|r: when on, highlights found words. default on",		
		num = 5,
	}

	CHB_DATA_WORDS = {
		[GFF_LFGM_DEF] = 1,
		["LF[0-9].*"] = 1,
		["QUESTS?"] = 1,
		["&LOOKING.*FOR"] = 1,
		["&HELP.*ME"] = 1,
	};	
	
	LFG_CHANNEL_NAME = "LookingForGroup";
	CHB_CONF_PRINT = LFG_CHANNEL_NAME .. ": %s is %s";
	CHB_TO_E = { [true] = "|c0000ff00on|r", [false] = "|c00ff0000off|r" };
	CHB_ON = "ON";
	CHB_OFF = "OFF";
	
	CHB_LOADED_MSG = CHANBUDDY .. " %s loaded.";
	GFF_WHISPER = "Whisper";
	GFF_WHO = "Who";
	GFF_INVITE = "Invite";
	BINDING_NAME_GFF = "Toggle Window (/lfg)";
	BINDING_HEADER_GROUP_FINDER = GROUP_FINDER;

	GFF_UNKNOWN = "Unknown";
	
	GFF_CLASS_LOC = {
		--[''] = "DRUID",
		--[''] = "MAGE",
		--[''] = "HUNTER",
		--[''] = "PALADIN",
		--[''] = "PRIEST",
		--[''] = "ROGUE",
		--[''] = "SHAMAN",
		--[''] = "WARLOCK",
		--[''] = "WARRIOR",
	}; -- GFF_CLASS_LOC only needed in localised versions

	GFMB_TOOLTIP = string.format("|c00ffcc00%s|r", GROUP_FINDER);
	GFMB_TOOLTIP2 = string.format("|c00ffffff%s|r", "You can drag the icon by holding down your right mouse button");
	GFMB_TOOLTIP3 = string.format("|c00ffffff%s|r", "Show or hide the main window by left clicking");
	
	-- Config frame (not implemented yet)
	GFF_SET_DEFAULT = "Default";
	GFF_SIGNUP_HEADER = "Sign up - Let other people know where you want to go";
	GFF_CLOSE = "Close";

	GFF_WHO_DELAYED = "The results of your who will arrive in %.1f seconds.";
	
	--- Resize frame with /lfgresize
	GFF_RESIZE_L = "Now using large frame. type |c00ffdd00/lfgresize|r to change the size again.";
	GFF_RESIZE_S = "Now using small frame. type |c00ffdd00/lfgresize|r to change the size again.";
	
	GFF_BETA_NOTICE = ">>> |c00ffcc55%s|r is currently a Beta version, please check back regularly for updates\n|c00ffcc55http://www.curse-gaming.com|r or |c00ffcc55http://www.snipurl.com/groupfinder|r <<<";
	
	GFF_NEW_WATCHED_PLAYER = "You have a new message in category |c0000ff00%s|r from %s";
	GFF_SHOW_ALL = "Show empty";
	
	GFF_SHOW_ALL_HELP = string.format("|c00ffcc00%s|r", "When enabled, Group Finder does not hide empty categories");
	GFF_SHOW_ALL_HELP2 = string.format("|c00ffffff%s|r", "Shift-click a category to get notified when a new message arrives under it");
	GFF_SHOW_ALL_HELP3 = string.format("|c00ffffff%s|r", "Control-Shift-Click any category to disable all notifications");
--end 
